#ifndef _OctaneBlendMaterial_h_
#define _OctaneBlendMaterial_h_

#define BLENDMAX 12

enum
{
    BLENDMAT_MAT_TYPE=1199,
    BLENDMAT_NUM_OF_MATERIALS=1200,
    BLENDMAT_TEXTURE1,
    BLENDMAT_TEXTURE2,
    BLENDMAT_PREVIEW,

    BLENDMAT_DISPLACEMENT_LINK,

    OCT_BLENDMAT_USE_SUB1=1280,
    OCT_BLENDMAT_USE_SUB2,
    OCT_BLENDMAT_USE_SUB3,
    OCT_BLENDMAT_USE_SUB4,
    OCT_BLENDMAT_USE_SUB5,
    OCT_BLENDMAT_USE_SUB6,
    OCT_BLENDMAT_USE_SUB7,
    OCT_BLENDMAT_USE_SUB8,
    OCT_BLENDMAT_USE_SUB9,
    OCT_BLENDMAT_USE_SUB10,
    OCT_BLENDMAT_USE_SUB11,
    OCT_BLENDMAT_USE_SUB12,

    BLENDMAT_MAT1_LINK=1300,
    BLENDMAT_MAT2_LINK,
    BLENDMAT_MAT3_LINK,
    BLENDMAT_MAT4_LINK,
    BLENDMAT_MAT5_LINK,
    BLENDMAT_MAT6_LINK,
    BLENDMAT_MAT7_LINK,
    BLENDMAT_MAT8_LINK,
    BLENDMAT_MAT9_LINK,
    BLENDMAT_MAT10_LINK,
    BLENDMAT_MAT11_LINK,
    BLENDMAT_MAT12_LINK,

    BLENDMAT_MAT1_SOLO=1320,
    BLENDMAT_MAT2_SOLO,
    BLENDMAT_MAT3_SOLO,
    BLENDMAT_MAT4_SOLO,
    BLENDMAT_MAT5_SOLO,
    BLENDMAT_MAT6_SOLO,
    BLENDMAT_MAT7_SOLO,
    BLENDMAT_MAT8_SOLO,
    BLENDMAT_MAT9_SOLO,
    BLENDMAT_MAT10_SOLO,
    BLENDMAT_MAT11_SOLO,
    BLENDMAT_MAT12_SOLO,

    BLENDMAT_MAT1_AMOUNT_LNK=1340,
    BLENDMAT_MAT1_AMOUNT_FLOAT,

    BLENDMAT_MAT2_AMOUNT_LNK,
    BLENDMAT_MAT2_AMOUNT_FLOAT,

    BLENDMAT_MAT3_AMOUNT_LNK,
    BLENDMAT_MAT3_AMOUNT_FLOAT,

    BLENDMAT_MAT4_AMOUNT_LNK,
    BLENDMAT_MAT4_AMOUNT_FLOAT,

    BLENDMAT_MAT5_AMOUNT_LNK,
    BLENDMAT_MAT5_AMOUNT_FLOAT,

    BLENDMAT_MAT6_AMOUNT_LNK,
    BLENDMAT_MAT6_AMOUNT_FLOAT,

    BLENDMAT_MAT7_AMOUNT_LNK,
    BLENDMAT_MAT7_AMOUNT_FLOAT,

    BLENDMAT_MAT8_AMOUNT_LNK,
    BLENDMAT_MAT8_AMOUNT_FLOAT,

    BLENDMAT_MAT9_AMOUNT_LNK,
    BLENDMAT_MAT9_AMOUNT_FLOAT,

    BLENDMAT_MAT10_AMOUNT_LNK,
    BLENDMAT_MAT10_AMOUNT_FLOAT,

    BLENDMAT_MAT11_AMOUNT_LNK,
    BLENDMAT_MAT11_AMOUNT_FLOAT,

    BLENDMAT_MAT12_AMOUNT_LNK,
    BLENDMAT_MAT12_AMOUNT_FLOAT,


    BLENDMAT_MAT1_AMOUNT_LNK_OLD=1401,
    BLENDMAT_MAT1_AMOUNT_FLOAT_OLD,

    BLENDMAT_MAT2_AMOUNT_LNK_OLD=1501,
    BLENDMAT_MAT2_AMOUNT_FLOAT_OLD,

    BLENDMAT_MAT3_AMOUNT_LNK_OLD=1601,
    BLENDMAT_MAT3_AMOUNT_FLOAT_OLD,

    BLENDMAT_MAT1_INVERT_AMOUNT=1410,
    BLENDMAT_MAT2_INVERT_AMOUNT,
    BLENDMAT_MAT3_INVERT_AMOUNT,
    BLENDMAT_MAT4_INVERT_AMOUNT,
    BLENDMAT_MAT5_INVERT_AMOUNT,
    BLENDMAT_MAT6_INVERT_AMOUNT,
    BLENDMAT_MAT7_INVERT_AMOUNT,
    BLENDMAT_MAT8_INVERT_AMOUNT,
    BLENDMAT_MAT9_INVERT_AMOUNT,
    BLENDMAT_MAT10_INVERT_AMOUNT,
    BLENDMAT_MAT11_INVERT_AMOUNT,
    BLENDMAT_MAT12_INVERT_AMOUNT,

    BLENDMAT_MAT1_ADD_BTN,
    BLENDMAT_MAT2_ADD_BTN,
    BLENDMAT_MAT3_ADD_BTN,
    BLENDMAT_MAT4_ADD_BTN,
    BLENDMAT_MAT5_ADD_BTN,
    BLENDMAT_MAT6_ADD_BTN,
    BLENDMAT_MAT7_ADD_BTN,
    BLENDMAT_MAT8_ADD_BTN,
    BLENDMAT_MAT9_ADD_BTN,
    BLENDMAT_MAT10_ADD_BTN,
    BLENDMAT_MAT11_ADD_BTN,
    BLENDMAT_MAT12_ADD_BTN,


    BLENDMAT_USE_MAIN=2300,
    BLENDMAT_USE_DISPLACEMENT,
    BLENDMAT_USE_EDITOR,


    BLENDMAT_POINTER,
    BLENDMAT_DISP_GROUP,
    BLENDMAT_GROUP_EDITOR,
    BLENDMAT_EDITORDISPLAY,

    BLENDMAT_MAIN_GROUP,
    BLENDMAT_MAT1_GROUP,
    BLENDMAT_MAT2_GROUP,
    BLENDMAT_MAT3_GROUP,
    BLENDMAT_MAT4_GROUP,
    BLENDMAT_MAT5_GROUP,
    BLENDMAT_MAT6_GROUP,
    BLENDMAT_MAT7_GROUP,
    BLENDMAT_MAT8_GROUP,
    BLENDMAT_MAT9_GROUP,
    BLENDMAT_MAT10_GROUP,
    BLENDMAT_MAT11_GROUP,
    BLENDMAT_MAT12_GROUP,

    BLENDMAT_ADDMAT1_BTN,
    BLENDMAT_ADDMAT2_BTN,



    BLENDMAT_MAT1_OPTIONS_GRP,
    BLENDMAT_MAT2_OPTIONS_GRP,
    BLENDMAT_MAT3_OPTIONS_GRP,
    BLENDMAT_MAT4_OPTIONS_GRP,
    BLENDMAT_MAT5_OPTIONS_GRP,
    BLENDMAT_MAT6_OPTIONS_GRP,
    BLENDMAT_MAT7_OPTIONS_GRP,
    BLENDMAT_MAT8_OPTIONS_GRP,
    BLENDMAT_MAT9_OPTIONS_GRP,
    BLENDMAT_MAT10_OPTIONS_GRP,
    BLENDMAT_MAT11_OPTIONS_GRP,
    BLENDMAT_MAT12_OPTIONS_GRP,

    BLENDMAT_MAT1_AMOUNT_GRP,
    BLENDMAT_MAT2_AMOUNT_GRP,
    BLENDMAT_MAT3_AMOUNT_GRP,
    BLENDMAT_MAT4_AMOUNT_GRP,
    BLENDMAT_MAT5_AMOUNT_GRP,
    BLENDMAT_MAT6_AMOUNT_GRP,
    BLENDMAT_MAT7_AMOUNT_GRP,
    BLENDMAT_MAT8_AMOUNT_GRP,
    BLENDMAT_MAT9_AMOUNT_GRP,
    BLENDMAT_MAT10_AMOUNT_GRP,
    BLENDMAT_MAT11_AMOUNT_GRP,
    BLENDMAT_MAT12_AMOUNT_GRP,

    BLENDMAT_MAT1_AMOUNT_BTN,
    BLENDMAT_MAT2_AMOUNT_BTN,
    BLENDMAT_MAT3_AMOUNT_BTN,
    BLENDMAT_MAT4_AMOUNT_BTN,
    BLENDMAT_MAT5_AMOUNT_BTN,
    BLENDMAT_MAT6_AMOUNT_BTN,
    BLENDMAT_MAT7_AMOUNT_BTN,
    BLENDMAT_MAT8_AMOUNT_BTN,
    BLENDMAT_MAT9_AMOUNT_BTN,
    BLENDMAT_MAT10_AMOUNT_BTN,
    BLENDMAT_MAT11_AMOUNT_BTN,
    BLENDMAT_MAT12_AMOUNT_BTN,

    BLENDMAT_ADD_DISP_BTN,
    BLENDMAT_NODE_EDITOR,

    BLENDMAT_TEST1_TEX_BTN,
    BLENDMAT_TEST1_FLOAT,
    BLENDMAT_TEST2_TEX_BTN,
    BLENDMAT_TEST1_GROUP,
    BLENDMAT_HELP_BTN,


    BLENDMAT_MAT_NUM1 = 1,
    BLENDMAT_MAT_NUM2 = 2,
    BLENDMAT_MAT_NUM3 = 3,

    BLENDMAT_BRDF_OCTANE = 0,
    BLENDMAT_BRDF_BECKMANN = 1,
    BLENDMAT_BRDF_GGX = 2,
    BLENDMAT_BRDF_WARD = 3,

    BLENDMAT_INDEX_NONE=0,
    BLENDMAT_INDEX_ALUMINIUM=1,
    BLENDMAT_INDEX_BRASS=2,

    BLENDMAT_IS_COMPOSITE=0,
    BLENDMAT_IS_LAYERED=1,

    BLENDMAT_PREVIEWSIZE                 = 500,
    BLENDMAT_PREVIEWSIZE_DEF             = 0,
    BLENDMAT_PREVIEWSIZE_NO_SCALE        = 1,
    BLENDMAT_PREVIEWSIZE_64              = 6,
    BLENDMAT_PREVIEWSIZE_128             = 7,
    BLENDMAT_PREVIEWSIZE_256             = 8,
    BLENDMAT_PREVIEWSIZE_512             = 9,
    BLENDMAT_PREVIEWSIZE_1024            = 10,
    BLENDMAT_PREVIEWSIZE_2048            = 11,
    BLENDMAT_PREVIEWSIZE_4096            = 12,
    BLENDMAT_PREVIEWSIZE_8192            = 13,
    BLENDMAT_PREVIEWSIZE_16384           = 14,

    BLENDMAT_PREVIEWSIZE_COMBINED        = 0,
    BLENDMAT_PREVIEWSIZE_COLOR           = 1,
    BLENDMAT_PREVIEWSIZE_DIFFUSION       = 2,
    BLENDMAT_PREVIEWSIZE_LUMINANCE       = 3,
    BLENDMAT_PREVIEWSIZE_BUMP            = 4,
    BLENDMAT_PREVIEWSIZE_NORMAL          = 5,
    BLENDMAT_PREVIEWSIZE_ALPHA           = 6,
    BLENDMAT_PREVIEWSIZE_TRANSPARENCY    = 7,
    BLENDMAT_PREVIEWSIZE_DISPLACEMENT    = 8,
    BLENDMAT_PREVIEWSIZE_REFLECTION      = 9,
    BLENDMAT_PREVIEWSIZE_ENVIRONMENT     = 10,
    BLENDMAT_PREVIEWSIZE_SPECULARCOLOR   = 11,

    BLENDMAT_ANIMATEPREVIEW = 501,
    BLENDMAT_SHADER2TEXTURE	= 502,

    BLENDMAT_DISABLE_OPENGL=2700,

};

#endif
