#ifndef _OctaneDayLightTag_h_
#define _OctaneDayLightTag_h_

enum
{
    DAYLIGHTTAG_TURBIDITY =1230,
    DAYLIGHTTAG_POWER,
    DAYLIGHTTAG_NORTHOFFSET,
    DAYLIGHTTAG_MODEL,
    DAYLIGHTTAG_SKYCOLOR,
    DAYLIGHTTAG_SUNCOLOR,
    DAYLIGHTTAG_SUNSIZE,
    DAYLIGHTTAG_USESKY,
    DAYLIGHTTAG_IMPSAMPLING,
    DAYLIGHTTAG_PLUGIN_VERSION,
    DAYLIGHTTAG_MEDIUM,
    DAYLIGHTTAG_THICKNESS,

    DAYLIGHTTAG_VIS_BACKPLATE,
    DAYLIGHTTAG_VIS_REFLECT,
    DAYLIGHTTAG_VIS_REFRACT,
    DAYLIGHTTAG_SLOT,

    DAYLIGHTTAG_GROUND_COLOR,
    DAYLIGHTTAG_GROUND_START,
    DAYLIGHTTAG_GROUND_BLEND,

    DAYLIGHTTAG_ENV_TYPE,
    DL_PLANETARY_ALTITUDE,
    DL_PLANETARY_LATITUDE,
    DL_PLANETARY_LONGITUDE,

    DL_PLANETARY_STARFIELD_TEX,
    DL_PLANETARY_GROUND_ALBEDO_TEX,
    DL_PLANETARY_GROUND_REFLECT_TEX,
    DL_PLANETARY_GROUND_GLOSSINESS_TEX,
    DL_PLANETARY_GROUND_EMISSION_TEX,
    DL_PLANETARY_GROUND_NORMALMAP_TEX,
    DL_PLANETARY_GROUND_ELEVATION_TEX,

    DAYLIGHTTAG_ENABLE_MEDIUM,

    DAYLIGHTTAG_MAINGRP,
    DAYLIGHTTAG_MEDIUMGRP,
    DAYLIGHTTAG_HELPBUTTON,
    DAYLIGHTTAG_ADDFOG_BTN,
    DAYLIGHTTAG_VISIBLE_ENV_GRP,
    DAYLIGHTTAG_GROUNDGRP,
    DL_PLANETARY_SURFACE_GRP,
    DL_PLANETARY_ATMOSPHERE_GRP,
    DAYLIGHTTAG_HELPBUTTON2,

    DAYLIGHTTAG_SLOT_PRIMARY=0,
    DAYLIGHTTAG_SLOT_VISIBLE=1,

    DLTAG_TYPE_DAYLIGHT=0,
    DLTAG_TYPE_PLANETARY=1,

    DLTAG_MODEL_OLD=0,
    DLTAG_MODEL_NEW=1,
    DLTAG_MODEL_NISHITA=2,
};

#endif
