#ifndef _Toctanecameraexp_H_
#define _Toctanecameraexp_H_

enum
{
    OCTANECAMERAEXP_PITCH				= 1410,
    OCTANECAMERA_FOV,
    OCTANECAMERA_APERTURE,
    OCTANECAMERA_STEREO,
    OCTANECAMERA_EYEDIST,
    OCTANECAMERA_LEFTFILTER,
    OCTANECAMERA_RIGHTFILTER,
    OCTANECAMERA_LENSSHIFT_OLD,
    OCTANECAMERA_FOCALDEPTH,
    OCTANECAMERA_AUTOFOCUS,
    OCTANECAMERA_NEARCLIPDEPTH,


    OCTANECAMERA_MGRP,
    OCTANECAMERA_IMAGERGRP,
    OCTANECAMERA_ENABLE_IMAGER,
    OCTANECAMERA_EXPOSURE,
    OCTANECAMERA_FSTOP_OLD,
    OCTANECAMERA_ISO_OLD,
    OCTANECAMERA_GAMMA,
    OCTANECAMERA_RESPONSE,
    OCTANECAMERA_VIGNETTING,
    OCTANECAMERA_SATURATION,
    OCTANECAMERA_HOTPIXEL,
    OCTANECAMERA_PREMALPHA,
    OCTANECAMERA_MDISP_SAMPLES,
    OCTANECAMERA_DITHERING,
    OCTANECAMERA_SATURATETOWHITE,
    OCTANECAMERA_WHITEBALANCE,

    OCTANECAMERA_THINLENS_GROUP,
    OCTANECAMERA_PANORAMIC_GROUP,
    OCT_CAMERA_TYPE_SELECT,
    OCT_CAMERA_PANORAMIC_MODE_SELECT,
    OCT_CAMERA_PANORAMIC_FOVX,
    OCT_CAMERA_PANORAMIC_FOVY,

    OCT_CAMERA_DISTORTION,
    OCT_CAMERA_APERTUREEDGE,
    OCT_CAMERA_ORTHOGRAPHIC,
    OCT_CAMERA_BUTTONGRP,
    OCT_CAMERA_HELPBUTTON,
    OCT_CAMERA_MOBLUR,
    OCT_CAMERA_SHUTTER,

    OCTANECAMERA_LENSSHIFT,
    OCTANECAM_SHUTTER_ALIGN,
    OCT_CAMERA_TIME_SHIFT,
    OCT_CAMERA_MBLUR_CACHEAMOUNT,
    OCTANECAMERA_HCOMPRESSION,
    OCTANECAMERA_EYEDIST_FALLOFF,
    OCTANECAMERA_STEREO_BLACKLATITUDE,

    OCTANECAMERA_FSTOP,
    OCTANECAMERA_PIXEL_ASPECTRATIO,
    OCTANECAMERA_APERTURE_ASPECTRATIO,
    OCTANECAMERA_DIS_PARALPHA,

    OCT_BAKECAMERA_GROUP_ID,
    OCT_BAKECAMERA_UVSET,
    OCT_BAKECAMERA_REVERT,
    OCT_BAKECAMERA_PADDING_SIZE,
    OCT_BAKECAMERA_EDGE_NOISE_TOL,
    OCT_BAKECAMERA_USE_BAKE_POS,
    OCT_BAKECAMERA_POSITION,
    OCT_BAKECAMERA_BACK_CULLING,
    OCTANECAMERA_NAT_RESPONSE,
    OCTANECAMERA_TEST,
    OCTANECAMERA_GAMMA_BEFORE,

    OCT_CAMERA_PANORAMIC_UPRIGHT,
    OCTANECAMERA_FARCLIPDEPTH,

    OCT_CAMERA_BOKEH_SIDE_CNT,
    OCT_CAMERA_BOKEH_ROT,
    OCT_CAMERA_BOKEH_ROUNDNESS,

    OCT_CAMERA_IMAGER_ORDER,
    OCT_CAMERA_IMAGER_CUSTOM_LUT,
    OCT_CAMERA_DISABLE_CAM_MOBLUR,
    OCT_CAMERA_IMAGER_CUSTOMLUT_STRENGTH,
    OCTANECAMERA_MAX_TM_INTERVAL,

    OCT_CAMIMAGER_EN_DENOISER,
    OCT_CAMIMAGER_DENOISE_MINSAMPLES,
    OCT_CAMIMAGER_DENOISE_INTERVAL,
    OCT_CAMIMAGER_DENOISE_ON_COMP,
    OCT_CAMIMAGER_DENOISE_BLEND,
    OCT_CAMIMAGER_CUSTOM_LUT_RAWSTR,
    OCT_CAMIMAGER_DENOISE_VOLUMES,
    OCT_CAMERA_CUSTOMLUT_PRESETS,
    OCT_CAMERA_CUSTOMLUT_PRESET_FNAME,
    OCT_OSLBAKECAM_CONT_IFTRANSP,

    OCT_UNICAM_CAMERA_MODE,
    OCT_UNICAM_FISHEYE_ANGLE,
    OCT_UNICAM_FISHEYE_TYPE,
    OCT_UNICAM_FISHEYE_HARD_VIGNETTE,
    OCT_UNICAM_FISHEYE_PROJECTION,

    OCT_UNICAM_USE_DISTORT,
    OCT_UNICAM_DISTORTION_TEXTURE,
    OCT_UNICAM_SPHERICAL_DISTORTION,
    OCT_UNICAM_DISTORT_BARREL,
    OCT_UNICAM_DISTORT_BARREL_CORNERS,

    OCT_UNICAM_SPHERICAL_ABERRATION,
    OCT_UNICAM_ABERRATION_COMA,
    OCT_UNICAM_ABERRATION_ASTIGMATISM,
    OCT_UNICAM_ABERRATION_FIELD_CURVE,

    OCT_UNICAM_USE_APERTURE_TEXTURE,
    OCT_UNICAM_APERTURE_TEXTURE,

    OCT_UNICAM_PANO_FOV_H,
    OCT_UNICAM_PANO_FOV_V,
    OCT_UNICAM_PANO_CUBEMAP_LAYOUT,
    OCT_UNICAM_PANO_EQUI_ANG_CUBEMAP,

    CAM_POSTENABLED=1520,
    CAM_BOOMPOWER,
    CAM_GLAREPOWER,
    CAM_GLARE_RAY_AMOUNT,
    CAM_GLARE_ANGLE,
    CAM_GLARE_BLUR,
    CAM_SPECTRAL_INT,
    CAM_SPECTRAL_SHIFT,

    OCT_CAMERA_PERSP_CORRECTION,
    OCT_CAMERA_STEREOMODE,
    OCT_CAMERA_STEREOOUT,
    OCT_BAKECAMERA_UVMIN,
    OCT_BAKECAMERA_UVSIZE,
    OCT_CAMERA_STEREO_SWAPEYE,
    //OCT_CAMERA_PLUGIN_VERSION,

    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE,
    OCT_CAM_AI_UPSAMPLER_ENABLE,
    OCT_CAM_AI_UPSAMPLER_ON_COMPLETE,
    OCT_CAM_AI_UPSAMPLER_MIN_SAMPLES,
    OCT_CAM_AI_UPSAMPLER_INTERVAL,

    CAM_POST_CUTOFF,

    OCTCAMERA_SCRIPTS_DIR,
    OCTCAMERA_SCRIPTS_LIST,
    OCTANECAMERA_FOCALLENGTH,

    OCTANECAMERA_POSTGRP=1700,
    OCTANECAM_BAKING_GROUP,
    OCTANECAM_MOBLUR_GROUP,
    OCTANECAMERA_STEREOGRP,
    OCTANECAM_BAKINGPOS_GROUP,
    OCTANECAM_PADDING_GROUP,
    OCTANECAM_UVREGION_GRP,
    OCTANECAMERA_OSL_EDITOR_GRP,
    OCTANECAM_OSL_SCRIPTS_GRP,
    OCTANECAMERA_OSL_BUTTON_GRP,
    OCTCAMERA_OSL_OPEN_CODE_DLG,
    OCTANECAM_OSL_COMPILE_BTN,
    OCTANECAM_OSL_RESET_BTN,
    OCTCAMERA_OSL_MAIN_GRP,
    xxxOCTANECAM_OSL_EDITOR_GRP,
    OCTANECAM_OSL_PARAMS_GRP,
    OCTANECAM_CUSTOMLUT_GRP,
    OCTANECAM_DENOISER_GROUP,
    OCTANECAM_IMAGER_GRP1,
    OCT_CAMERA_RELOAD_LUT_PRESETS,
    OCT_CAM_AI_UPSAMPLER_GROUP,
    OCTANECAMERA_POSTGRP2,
    OCTANECAM_MOBLUR_GROUP2,

    OCT_CAMERA_UNIVERSAL_GROUP,
    OCT_CAMERA_PHYSICAL_CAMPR_GRP,
    OCT_CAMERA_VIEWING_ANGLE_GRP,
    OCT_CAMERA_CLIPPING_GRP,
    OCT_CAMERA_DOF_GRP,
    OCT_UNICAM_PANO_GRP,

    OCT_CAMERA_FISHEYE_GRP,
    OCT_CAMERA_UNIV_DIST_GRP2,
    OCT_CAMERA_UNIVERSAL_GRP3,
    OCT_CAMERA_UNIVERSAL_SEP1,
    OCT_CAMERA_UNIVERSAL_SEP2,
    OCT_CAMERA_UNIVERSAL_SEP3,
    OCT_CAMERA_UNIVERSAL_SEP4,
    OCT_CAMERA_UNIVERSAL_SEP5,
    OCT_CAMERA_UNIVERSAL_SEP6,


    OCT_CAMERA_STEREO_MODE_NONE=0,
    OCT_CAMERA_STEREO_MODE_OFF_AXIS=1,
    OCT_CAMERA_STEREO_MODE_PARALLEL=2,

    OCT_CAMERA_STEREO_OUTPUT_NOSTEREO=0,
    OCT_CAMERA_STEREO_OUTPUT_LEFT_EYE=1,
    OCT_CAMERA_STEREO_OUTPUT_RIGHT_EYE=2,
    OCT_CAMERA_STEREO_OUTPUT_SIDE_BY_SIDE=3,
    OCT_CAMERA_STEREO_OUTPUT_ANAGLYPHIC=4,
    OCT_CAMERA_STEREO_OUTPUT_OVERUNDER=5,   

    OCT_UNICAM_MODE_THINLENS=1,
    OCT_UNICAM_MODE_ORTHO=2,
    OCT_UNICAM_MODE_FISHEYE=3,
    OCT_UNICAM_MODE_EQUIRECT=4,
    OCT_UNICAM_MODE_CUBEMAP=5,

    OCTANECAM_SHUTTER_ALIGN_BEFORE=1,
    OCTANECAM_SHUTTER_ALIGN_CENTER=2,
    OCTANECAM_SHUTTER_ALIGN_AFTER=3,

    OCT_UNICAM_PANO_CUBEMAP_LAY_6x1=1,
    OCT_UNICAM_PANO_CUBEMAP_LAY_3x2=2,
    OCT_UNICAM_PANO_CUBEMAP_LAY_2x3=3,
    OCT_UNICAM_PANO_CUBEMAP_LAY_1x6=4,

    OCT_CAMERA_PANO_MODE_SPHERE=0,
    OCT_CAMERA_PANO_MODE_CYLINDER=1,
    OCT_CAMERA_PANO_MODE_CUBE=2,
    OCT_CAMERA_PANO_MODE_CUBEMAP_POS_X=3,
    OCT_CAMERA_PANO_MODE_CUBEMAP_NEG_X=4,
    OCT_CAMERA_PANO_MODE_CUBEMAP_POS_Y=5,
    OCT_CAMERA_PANO_MODE_CUBEMAP_NEG_Y=6,
    OCT_CAMERA_PANO_MODE_CUBEMAP_POS_Z=7,
    OCT_CAMERA_PANO_MODE_CUBEMAP_NEG_Z=8,
    OCT_CAMERA_THINLENS=0,
    OCT_CAMERA_PANO=1,
    OCT_CAMERA_BAKE=2,
    OCT_CAMERA_OSL=3,
    OCT_CAMERA_OSL_BAKING=4,
    OCT_CAMERA_UNIVERSAL=5,

    TM_ORDER_RESPONSE_GAMMA_LUT = 0,
    TM_ORDER_GAMMA_RESPONSE_LUT = 1,
    TM_ORDER_LUT_RESPONSE_GAMMA = 2,
    TM_ORDER_LUT_GAMMA_RESPONSE = 3,
    TM_ORDER_RESPONSE_LUT_GAMMA = 4,
    TM_ORDER_GAMMA_LUT_RESPONSE = 5,


    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE_OFF=1,
    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE_SUB2x2=2,
    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE_SUB4x4=3,
    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE_UP2x2=2,
    OCT_CAM_AI_UPSAMPLER_SAMPL_MODE_UP4x4=4,


    OCTANECAM_OSL_NEED_COMPILE = 1900,
    OCTANECAM_OSL_CODE_EDITOR = 1901,
    OCTANECAM_OSL_PARAM_LIST = 1902,
    OCTANECAM_OSL_LOG_OUTPUT = 1903,
    OCTANECAM_OSL_RESULT_STR = 1904,
    OCTANECAM_OSL_AUTO_COMPILE = 1905,
    OCTANECAM_RESET_PARAMS = 1906,


    _Agfacolor_Futura_100CD = 5099 ,
   _Agfacolor_Futura_200CD = 5100,
    _Agfacolor_Futura_400CD = 5101,
        _Agfacolor_Futura_II_100CD = 5102,
        _Agfacolor_Futura_II_200CD = 5103,
        _Agfacolor_Futura_II_400CD = 5104,
        _Agfacolor_HDC_100_plusCD = 5105,
        _Agfacolor_HDC_200_plusCD = 5106,
        _Agfacolor_HDC_400_plusCD = 5107,
        _Agfacolor_Optima_II_100CD = 5108,
        _Agfacolor_Optima_II_200CD = 5109,
        _Agfacolor_ultra_050_CD = 5110,
        _Agfacolor_Vista_100CD = 5111,
        _Agfacolor_Vista_200CD = 5112,
        _Agfacolor_Vista_400CD = 5113,
        _Agfacolor_Vista_800CD = 5114,
        _Agfachrome_CT_precisa_100CD = 5115,
        _Agfachrome_CT_precisa_200CD = 5116,
        _Agfachrome_RSX2_050CD = 5117,
        _Agfachrome_RSX2_100CD = 5118,
        _Agfachrome_RSX2_200CD = 5119,
        _Advantix_100CD = 5201,
        _Advantix_200CD = 5202,
        _Advantix_400CD = 5203,
        _Gold_100CD = 5204,
        _Gold_200CD = 5205,
        _Max_Zoom_800CD = 5206,
        _Portra_100TCD = 5207,
        _Portra_160NCCD = 5208,
        _Portra_160VCCD = 5209,
        _Portra_800CD = 5210,
        _Portra_400VCCD = 5211,
        _Portra_400NCCD = 5212,
        _Ektachrome_100_plusCD = 5213,
        _Ektachrome_320TCD = 5214,
        _Ektachrome_400XCD = 5215,
        _Ektachrome_64CD = 5216,
        _Ektachrome_64TCD = 5217,
        _Ektachrome_E100SCD = 5218,
        _Ektachrome_100CD = 5219,
        _Kodachrome_200CD = 5220,
        _Kodachrome_25 = 5221,
        _Kodachrome_64CD = 5222,
        _F125CD = 5301,
        _F250CD = 5302,
        _F400CD = 5303,
        _FCICD = 5304,
        _DSCS315_1 = 5305,
        _DSCS315_2 = 5306,
        _DSCS315_3 = 5307,
        _DSCS315_4 = 5308,
        _DSCS315_5 = 5309,
        _DSCS315_6 = 5310,
        _FP2900Z = 5311,
        _Linear = 5400,
        _sRGB = 5401,
        _Gamma18 = 5402,
        _Gamma22 = 5403

};

#endif



