#ifndef _OctaneLayeredMaterial_h_
#define _OctaneLayeredMaterial_h_

#define LAYERMAX 12

enum
{
    LAYEREDMAT_MAT_TYPE=1199,
    LAYEREDMAT_NUM_OF_MATERIALS=1200,
    LAYEREDMAT_TEXTURE1,
    LAYEREDMAT_TEXTURE2,
    LAYEREDMAT_PREVIEW,

    LAYEREDMAT_DISPLACEMENT_LINK,

    LAYEREDMAT_USE_SUB1=1280,
    LAYEREDMAT_USE_SUB2,
    LAYEREDMAT_USE_SUB3,
    LAYEREDMAT_USE_SUB4,
    LAYEREDMAT_USE_SUB5,
    LAYEREDMAT_USE_SUB6,
    LAYEREDMAT_USE_SUB7,
    LAYEREDMAT_USE_SUB8,
    LAYEREDMAT_USE_SUB9,
    LAYEREDMAT_USE_SUB10,
    LAYEREDMAT_USE_SUB11,
    LAYEREDMAT_USE_SUB12,

    LAYEREDMAT_MAT1_LINK=1300,
    LAYEREDMAT_MAT2_LINK,
    LAYEREDMAT_MAT3_LINK,
    LAYEREDMAT_MAT4_LINK,
    LAYEREDMAT_MAT5_LINK,
    LAYEREDMAT_MAT6_LINK,
    LAYEREDMAT_MAT7_LINK,
    LAYEREDMAT_MAT8_LINK,
    LAYEREDMAT_MAT9_LINK,
    LAYEREDMAT_MAT10_LINK,
    LAYEREDMAT_MAT11_LINK,
    LAYEREDMAT_MAT12_LINK,

    LAYEREDMAT_MAT1_SOLO=1320,
    LAYEREDMAT_MAT2_SOLO,
    LAYEREDMAT_MAT3_SOLO,
    LAYEREDMAT_MAT4_SOLO,
    LAYEREDMAT_MAT5_SOLO,
    LAYEREDMAT_MAT6_SOLO,
    LAYEREDMAT_MAT7_SOLO,
    LAYEREDMAT_MAT8_SOLO,
    LAYEREDMAT_MAT9_SOLO,
    LAYEREDMAT_MAT10_SOLO,
    LAYEREDMAT_MAT11_SOLO,
    LAYEREDMAT_MAT12_SOLO,

    LAYEREDMAT_MAT1_AMOUNT_LNK=1340,
    LAYEREDMAT_MAT1_AMOUNT_FLOAT,

    LAYEREDMAT_MAT2_AMOUNT_LNK,
    LAYEREDMAT_MAT2_AMOUNT_FLOAT,

    LAYEREDMAT_MAT3_AMOUNT_LNK,
    LAYEREDMAT_MAT3_AMOUNT_FLOAT,

    LAYEREDMAT_MAT4_AMOUNT_LNK,
    LAYEREDMAT_MAT4_AMOUNT_FLOAT,

    LAYEREDMAT_MAT5_AMOUNT_LNK,
    LAYEREDMAT_MAT5_AMOUNT_FLOAT,

    LAYEREDMAT_MAT6_AMOUNT_LNK,
    LAYEREDMAT_MAT6_AMOUNT_FLOAT,

    LAYEREDMAT_MAT7_AMOUNT_LNK,
    LAYEREDMAT_MAT7_AMOUNT_FLOAT,

    LAYEREDMAT_MAT8_AMOUNT_LNK,
    LAYEREDMAT_MAT8_AMOUNT_FLOAT,

    LAYEREDMAT_MAT9_AMOUNT_LNK,
    LAYEREDMAT_MAT9_AMOUNT_FLOAT,

    LAYEREDMAT_MAT10_AMOUNT_LNK,
    LAYEREDMAT_MAT10_AMOUNT_FLOAT,

    LAYEREDMAT_MAT11_AMOUNT_LNK,
    LAYEREDMAT_MAT11_AMOUNT_FLOAT,

    LAYEREDMAT_MAT12_AMOUNT_LNK,
    LAYEREDMAT_MAT12_AMOUNT_FLOAT,


    LAYEREDMAT_MAT1_AMOUNT_LNK_OLD=1401,
    LAYEREDMAT_MAT1_AMOUNT_FLOAT_OLD,

    LAYEREDMAT_MAT2_AMOUNT_LNK_OLD=1501,
    LAYEREDMAT_MAT2_AMOUNT_FLOAT_OLD,

    LAYEREDMAT_MAT3_AMOUNT_LNK_OLD=1601,
    LAYEREDMAT_MAT3_AMOUNT_FLOAT_OLD,

    LAYEREDMAT_MAT1_INVERT_AMOUNT=1410,
    LAYEREDMAT_MAT2_INVERT_AMOUNT,
    LAYEREDMAT_MAT3_INVERT_AMOUNT,
    LAYEREDMAT_MAT4_INVERT_AMOUNT,
    LAYEREDMAT_MAT5_INVERT_AMOUNT,
    LAYEREDMAT_MAT6_INVERT_AMOUNT,
    LAYEREDMAT_MAT7_INVERT_AMOUNT,
    LAYEREDMAT_MAT8_INVERT_AMOUNT,
    LAYEREDMAT_MAT9_INVERT_AMOUNT,
    LAYEREDMAT_MAT10_INVERT_AMOUNT,
    LAYEREDMAT_MAT11_INVERT_AMOUNT,
    LAYEREDMAT_MAT12_INVERT_AMOUNT,

    LAYEREDMAT_MAT1_ADD_BTN,
    LAYEREDMAT_MAT2_ADD_BTN,
    LAYEREDMAT_MAT3_ADD_BTN,
    LAYEREDMAT_MAT4_ADD_BTN,
    LAYEREDMAT_MAT5_ADD_BTN,
    LAYEREDMAT_MAT6_ADD_BTN,
    LAYEREDMAT_MAT7_ADD_BTN,
    LAYEREDMAT_MAT8_ADD_BTN,
    LAYEREDMAT_MAT9_ADD_BTN,
    LAYEREDMAT_MAT10_ADD_BTN,
    LAYEREDMAT_MAT11_ADD_BTN,
    LAYEREDMAT_MAT12_ADD_BTN,


    LAYEREDMAT_USE_MAIN=2300,
    LAYEREDMAT_USE_DISPLACEMENT,
    LAYEREDMAT_USE_EDITOR,


    LAYEREDMAT_POINTER,
    LAYEREDMAT_DISP_GROUP,
    LAYEREDMAT_GROUP_EDITOR,
    LAYEREDMAT_EDITORDISPLAY,

    LAYEREDMAT_MAIN_GROUP,
    LAYEREDMAT_MAT1_GROUP,
    LAYEREDMAT_MAT2_GROUP,
    LAYEREDMAT_MAT3_GROUP,
    LAYEREDMAT_MAT4_GROUP,
    LAYEREDMAT_MAT5_GROUP,
    LAYEREDMAT_MAT6_GROUP,
    LAYEREDMAT_MAT7_GROUP,
    LAYEREDMAT_MAT8_GROUP,
    LAYEREDMAT_MAT9_GROUP,
    LAYEREDMAT_MAT10_GROUP,
    LAYEREDMAT_MAT11_GROUP,
    LAYEREDMAT_MAT12_GROUP,

    LAYEREDMAT_ADDMAT1_BTN,
    LAYEREDMAT_ADDMAT2_BTN,



    LAYEREDMAT_MAT1_OPTIONS_GRP,
    LAYEREDMAT_MAT2_OPTIONS_GRP,
    LAYEREDMAT_MAT3_OPTIONS_GRP,
    LAYEREDMAT_MAT4_OPTIONS_GRP,
    LAYEREDMAT_MAT5_OPTIONS_GRP,
    LAYEREDMAT_MAT6_OPTIONS_GRP,
    LAYEREDMAT_MAT7_OPTIONS_GRP,
    LAYEREDMAT_MAT8_OPTIONS_GRP,
    LAYEREDMAT_MAT9_OPTIONS_GRP,
    LAYEREDMAT_MAT10_OPTIONS_GRP,
    LAYEREDMAT_MAT11_OPTIONS_GRP,
    LAYEREDMAT_MAT12_OPTIONS_GRP,

    LAYEREDMAT_MAT1_AMOUNT_GRP,
    LAYEREDMAT_MAT2_AMOUNT_GRP,
    LAYEREDMAT_MAT3_AMOUNT_GRP,
    LAYEREDMAT_MAT4_AMOUNT_GRP,
    LAYEREDMAT_MAT5_AMOUNT_GRP,
    LAYEREDMAT_MAT6_AMOUNT_GRP,
    LAYEREDMAT_MAT7_AMOUNT_GRP,
    LAYEREDMAT_MAT8_AMOUNT_GRP,
    LAYEREDMAT_MAT9_AMOUNT_GRP,
    LAYEREDMAT_MAT10_AMOUNT_GRP,
    LAYEREDMAT_MAT11_AMOUNT_GRP,
    LAYEREDMAT_MAT12_AMOUNT_GRP,

    LAYEREDMAT_MAT1_AMOUNT_BTN,
    LAYEREDMAT_MAT2_AMOUNT_BTN,
    LAYEREDMAT_MAT3_AMOUNT_BTN,
    LAYEREDMAT_MAT4_AMOUNT_BTN,
    LAYEREDMAT_MAT5_AMOUNT_BTN,
    LAYEREDMAT_MAT6_AMOUNT_BTN,
    LAYEREDMAT_MAT7_AMOUNT_BTN,
    LAYEREDMAT_MAT8_AMOUNT_BTN,
    LAYEREDMAT_MAT9_AMOUNT_BTN,
    LAYEREDMAT_MAT10_AMOUNT_BTN,
    LAYEREDMAT_MAT11_AMOUNT_BTN,
    LAYEREDMAT_MAT12_AMOUNT_BTN,

    LAYEREDMAT_ADD_DISP_BTN,
    LAYEREDMAT_NODE_EDITOR,

    LAYEREDMAT_TEST1_TEX_BTN,
    LAYEREDMAT_TEST1_FLOAT,
    LAYEREDMAT_TEST2_TEX_BTN,
    LAYEREDMAT_TEST1_GROUP,
    LAYEREDMAT_HELP_BTN,


    LAYEREDMAT_MAT_NUM1 = 1,
    LAYEREDMAT_MAT_NUM2 = 2,
    LAYEREDMAT_MAT_NUM3 = 3,

    LAYEREDMAT_BRDF_OCTANE = 0,
    LAYEREDMAT_BRDF_BECKMANN = 1,
    LAYEREDMAT_BRDF_GGX = 2,
    LAYEREDMAT_BRDF_WARD = 3,

    LAYEREDMAT_INDEX_NONE=0,
    LAYEREDMAT_INDEX_ALUMINIUM=1,
    LAYEREDMAT_INDEX_BRASS=2,

    LAYEREDMAT_IS_COMPOSITE=0,
    LAYEREDMAT_IS_LAYERED=1,

    LAYEREDMAT_PREVIEWSIZE                 = 500,
    LAYEREDMAT_PREVIEWSIZE_DEF             = 0,
    LAYEREDMAT_PREVIEWSIZE_NO_SCALE        = 1,
    LAYEREDMAT_PREVIEWSIZE_64              = 6,
    LAYEREDMAT_PREVIEWSIZE_128             = 7,
    LAYEREDMAT_PREVIEWSIZE_256             = 8,
    LAYEREDMAT_PREVIEWSIZE_512             = 9,
    LAYEREDMAT_PREVIEWSIZE_1024            = 10,
    LAYEREDMAT_PREVIEWSIZE_2048            = 11,
    LAYEREDMAT_PREVIEWSIZE_4096            = 12,
    LAYEREDMAT_PREVIEWSIZE_8192            = 13,
    LAYEREDMAT_PREVIEWSIZE_16384           = 14,

    LAYEREDMAT_PREVIEWSIZE_COMBINED        = 0,
    LAYEREDMAT_PREVIEWSIZE_COLOR           = 1,
    LAYEREDMAT_PREVIEWSIZE_DIFFUSION       = 2,
    LAYEREDMAT_PREVIEWSIZE_LUMINANCE       = 3,
    LAYEREDMAT_PREVIEWSIZE_BUMP            = 4,
    LAYEREDMAT_PREVIEWSIZE_NORMAL          = 5,
    LAYEREDMAT_PREVIEWSIZE_ALPHA           = 6,
    LAYEREDMAT_PREVIEWSIZE_TRANSPARENCY    = 7,
    LAYEREDMAT_PREVIEWSIZE_DISPLACEMENT    = 8,
    LAYEREDMAT_PREVIEWSIZE_REFLECTION      = 9,
    LAYEREDMAT_PREVIEWSIZE_ENVIRONMENT     = 10,
    LAYEREDMAT_PREVIEWSIZE_SPECULARCOLOR   = 11,

    LAYEREDMAT_ANIMATEPREVIEW = 501,
    LAYEREDMAT_SHADER2TEXTURE	= 502,

    LAYEREDMAT_DISABLE_OPENGL=2700,

};

#endif
