#ifndef _OctaneSubMaterial_h_
#define _OctaneSubMaterial_h_

enum
{
    SUBMAT_MAT_LAYER_MODE=1199,
    SUBMAT_NUM_OF_MATERIALS=1200,
    SUBMAT_TEXTURE1,
    SUBMAT_TEXTURE2,
    SUBMAT_PREVIEW,

    SUBMAT_DISPLACEMENT_LINK,


    SUB_MAT_USE_DIFFUSExx=1370,
    SUB_MAT_USE_SPECULARxx,
    SUB_MAT_USE_SPECULAR_MAPxx,
    SUB_MAT_USE_COMMONxx,

    SUBMAT_MAT1_TYPE=1400,
    SUBMAT_MAT1_AMOUNT_LNK,
    SUBMAT_MAT1_AMOUNT_FLOAT,
    SUBMAT_MAT1_SOLO,
    SUBMAT_MAT1_ENABLED,
    SUBMAT_MAT1_BRDF_MODEL,

    SUBMAT_MAT1_DIFFUSE_LINK,
    SUBMAT_MAT1_SPECULAR_LINK,
    SUBMAT_MAT1_ROUGHNESS_LINK,
    SUBMAT_MAT1_REFLECTION_LINK,
    SUBMAT_MAT1_SPECMAP_LINK,
    SUBMAT_MAT1_EMISSION_LINK,
    SUBMAT_MAT1_MEDIUM_LINK,
    SUBMAT_MAT1_OPACITY_LINK,
    SUBMAT_MAT1_BUMP_LINK,
    SUBMAT_MAT1_TRANSMISSION_LINK,
    SUBMAT_MAT1_FILMWIDTH_LINK,
    SUBMAT_MAT1_ANISO_ROTATION_LINK,
    SUBMAT_MAT1_NORMAL_LINK,
    SUBMAT_MAT1_SHEEN_LINK,
    SUBMAT_MAT1_ALBEDO_LINK,
    SUBMAT_MAT1_METALLIC_LINK,
    SUBMAT_MAT1_COATING_LINK,
    SUBMAT_MAT1_SHEEN_ROUGHNESS_LINK,
    SUBMAT_MAT1_COATING_ROUGH_LINK,
    SUBMAT_MAT1_DISPLACEMENT_LINK,

    SUBMAT_MAT1_INDEX,
    SUBMAT_MAT1_INDEX_N,
    SUBMAT_MAT1_INDEX_K,
    SUBMAT_MAT1_FILMINDEX,
    SUBMAT_MAT1_ANISOTROPY,
    SUBMAT_MAT1_FAKE_SHADOWS,
    SUBMAT_MAT1_DISPERSION,
    SUBMAT_MAT1_SMOOTH,
    SUBMAT_MAT1_AFFECT_ALPHA,
    SUBMAT_MAT1_MATTE,
    SUBMAT_ROUNDED_EDGES_RADIUS,

    SUBMAT_MAT1_DIFFUSE_VALUE,
    SUBMAT_MAT1_SPECULAR_VALUE,
    SUBMAT_MAT1_ROUGHNESS_VALUE,
    SUBMAT_MAT1_REFLECTION_VALUE,
    SUBMAT_MAT1_SPECMAP_VALUE,
    SUBMAT_MAT1_ANISO_ROTATION_VALUE,
    SUBMAT_MAT1_OPACITY_VALUE,
    SUBMAT_MAT1_TRANSMISSION_VALUE,
    SUBMAT_MAT1_SHEEN_VALUE,
    SUBMAT_MAT1_ALBEDO_VALUE,
    SUBMAT_MAT1_METALLIC_VALUE,
    SUBMAT_MAT1_COATING_VALUE,
    SUBMAT_MAT1_FILMWIDTH_VALUE,
    SUBMAT_MAT1_RESERVED13,
    SUBMAT_MAT1_RESERVED14,
    SUBMAT_MAT1_RESERVED15,

    SUBMAT_MAT1_INDEX_GREEN_N,
    SUBMAT_MAT1_INDEX_GREEN_K,
    SUBMAT_MAT1_INDEX_BLUE_N,
    SUBMAT_MAT1_INDEX_BLUE_K,
    SUBMAT_METALLIC_MODE,

    SUBMAT_MAT1_SHEEN_ROUGH,
    SUBMAT_MAT1_TOON_LIGHT_MODE,
    SUBMAT_MAT1_TOON_DIFFUSE_RAMP,
    SUBMAT_MAT1_TOON_SPECULAR_RAMP,
    SUBMAT_MAT1_TOON_OUTLINE_COLOR,
    SUBMAT_MAT1_TOON_OUTLINE_THICKNESS,

    SUBMAT_MAT1_COATING_ROUGHNESS,
    SUBMAT_MAT1_COATING_INDEX,
    SUBMAT_1_DIV_IOR_LINK,

    SUBMAT_MAT1_SHEEN_BUMP_LINK,
    SUBMAT_MAT1_SHEEN_NORMAL_LINK,
    SUBMAT_MAT1_COATING_BUMP_LINK,
    SUBMAT_MAT1_COATING_NORMAL_LINK,

    SUBMAT_USE_COLOR,
    SUBMAT_USE_SPECULAR,
    SUBMAT_USE_SPECULARMAP,
    SUBMAT_USE_ROUGHNESS,
    SUBMAT_USE_REFLECTION,
    SUBMAT_USE_DISPERSION,
    SUBMAT_USE_ANISO,
    SUBMAT_USE_SHEEN,
    SUBMAT_USE_COATING,
    SUBMAT_USE_FILM,
    SUBMAT_USE_BUMP,
    SUBMAT_USE_NORMAL,
    SUBMAT_USE_OPACITY,
    SUBMAT_USE_TRANSMISSION,
    SUBMAT_USE_INDEX,
    SUBMAT_USE_EMISSION,
    SUBMAT_USE_MEDIUM,
    SUBMAT_USE_TOON,
    SUBMAT_USE_MATLAYER,
    SUBMAT_USE_COMMON,
    SUBMAT_USE_ROUNDEDGES,
    SUBMAT_USE_17,
    SUBMAT_USE_18,
    SUBMAT_USE_19,
    SUBMAT_USE_20,
    SUBMAT_USE_21,
    SUBMAT_USE_22,
    SUBMAT_USE_23,
    SUBMAT_USE_24,
    SUBMAT_USE_25,

    SUBMAT_ROUNDED_EDGES_MODE,
    SUBMAT_ROUNDEDGE_LINK,
    SUBMAT_MAT1_THIN_WALL,
    SUBMAT_MATERIAL_LAYER,
    SUBMAT_THIN_LAYER,
    SUBMAT_TRANSMISSION_TYPE,

    SUBMAT_MAT1_DIFFUSE_TEX_BTN,
    SUBMAT_MAT1_SPECULAR_TEX_BTN,
    SUBMAT_MAT1_ROUGHNESS_TEX_BTN,
    SUBMAT_MAT1_REFLECTION_TEX_BTN,
    SUBMAT_MAT1_SPECMAP_TEX_BTN,
    SUBMAT_MAT1_EMISSION_TEX_BTN,
    SUBMAT_MAT1_MEDIUM_TEX_BTN,
    SUBMAT_MAT1_OPACITY_TEX_BTN,
    SUBMAT_MAT1_BUMP_TEX_BTN,
    SUBMAT_MAT1_TRANSMISSION_TEX_BTN,
    SUBMAT_MAT1_FILMWIDTH_TEX_BTN,
    SUBMAT_MAT1_ANISO_ROTATION_TEX_BTN,
    SUBMAT_MAT1_NORMAL_TEX_BTN,
    SUBMAT_MAT1_SHEEN_TEX_BTN,
    SUBMAT_MAT1_ALBEDO_TEX_BTN,
    SUBMAT_MAT1_METALLIC_TEX_BTN,
    SUBMAT_MAT1_COATING_TEX_BTN,
    SUBMAT_MAT1_SHEEN_ROUGH_TEX_BTN,
    SUBMAT_MAT1_COATING_ROUGH_TEX_BTN,
    SUBMAT_MAT1_IOR_MAP_TEX_BTN,
    SUBMAT_ADD_MATERIAL_LAYER_BTN,
    SUBMAT_REMOVE_MATERIAL_LAYER_BTN,
    SUBMAT_MAT1_DISPLACEMENT_TEX_BTN,

    SUBMAT_MAT1_ADD_BB_EMIS,
    SUBMAT_MAT1_ADD_TEX_EMIS,
    SUBMAT_MAT1_ADD_ABS_MEDIUM,
    SUBMAT_MAT1_ADD_SCT_MEDIUM,
    SUBMAT_ROUNDEDGE_ADD_BTN,

    SUBMAT_MAT1_ADD_TOON_DIFFUSE_RAMP_BTN,
    SUBMAT_MAT1_ADD_TOON_SPECULAR_RAMP_BTN,


    SUBMAT_MAT1_INDEX_PRESETS,

    SUBMAT_MAT1_TOON_LM_TOON_LIGHTS=0,
    SUBMAT_MAT1_TOON_LM_CAMERA_LIGHTS=1,

    SUBMAT_METAL_REFL_ARTISTIC=0,
    SUBMAT_METAL_REFL_IOR_COLOR=1,
    SUBMAT_METAL_REFL_RGB_IOR=2,

    SUBMAT_ROUNDED_MODE_OFF = 0,
    SUBMAT_ROUNDED_MODE_FAST = 1,
    SUBMAT_ROUNDED_MODE_ACCURATE = 2,
    SUBMAT_ROUNDED_MODE_ACC_CONVEX = 3,
    SUBMAT_ROUNDED_MODE_ACC_CONCAVE = 4,

    SUBMAT_TRANSMISSION_TYPE_SPECULAR=0,
    SUBMAT_TRANSMISSION_TYPE_DIFFUSE=1,
    SUBMAT_TRANSMISSION_TYPE_THINWALL=2,

    SUBMAT_USE_MAIN=2300,
    SUBMAT_USE_DISPLACEMENT,
    SUBMAT_USE_EDITOR,


    SUBMAT_POINTER,
    SUBMAT_DISP_GROUP,
    SUBMAT_GROUP_EDITOR,
    SUBMAT_EDITORDISPLAY,

    //    SUBMAT_MAT1_USE_DIFFUSE,
    //    SUBMAT_MAT1_USE_SPECULAR,
    //    SUBMAT_MAT1_USE_SPECULARMAP,
    //    SUBMAT_MAT1_USE_ROUGHNES,
    //    SUBMAT_MAT1_USE_OPACITY,
    //    SUBMAT_MAT1_USE_EMISSION,
    //    SUBMAT_MAT1_USE_REFLECTION,
    //    SUBMAT_MAT1_USE_MEDIUM,
    //    SUBMAT_MAT1_USE_TRANSMISSION,
    //    SUBMAT_MAT1_USE_DISPERSION,
    //    SUBMAT_MAT1_USE_BUMP,
    //    SUBMAT_MAT1_USE_NORMAL,

    SUBMAT_MAIN_GROUP,
    SUBMAT_MAT1_GROUP,

    SUBMAT_MAT1_OPTIONS_GRP,
    SUBMAT_MAT1_PARAMS_GRP,


    SUBMAT_MAT_DIF_GRP,
    SUBMAT_MAT1_DIF_GRP,
    SUBMAT_MAT_ALBEDO_GRP,
    SUBMAT_MAT1_ALBEDO_GRP,
    SUBMAT_MAT_SPEC_GRP,
    SUBMAT_MAT1_SPEC_GRP,
    SUBMAT_MAT_SPECMAP_GRP,
    SUBMAT_MAT1_SPECMAP_GRP,
    SUBMAT_MAT_METALLIC_GRP,
    SUBMAT_MAT1_METALLIC_GRP,

    SUBMAT_MAT_ROUGH_GRP,
    SUBMAT_MAT1_ROUGH_GRP,
    SUBMAT_SHEEN_ROUGH_GRP,
    SUBMAT_MAT_REFL_GRP,
    SUBMAT_MAT1_REFL_GRP,
    SUBMAT_MAT_SHEEN_GRP,
    SUBMAT_MAT1_SHEEN_GRP,
    SUBMAT_MAT_COATING_GRP,
    SUBMAT_MAT1_COATING_GRP,
    SUBMAT_MAT1_COATING_ROUGH_GRP,
    SUBMAT_MAT_EMIS_GRP,
    SUBMAT_MAT1_EMIS_GRP,
    SUBMAT_MAT1_EMIS_GRP1,
    SUBMAT_MAT1_MEDIUM_GRP,
    SUBMAT_MAT1_MEDIUM_GRP1,
    SUBMAT_MAT_OPAC_GRP,
    SUBMAT_MAT1_OPAC_GRP,
    SUBMAT_MAT1_DISPERSION_GRP,
    SUBMAT_MAT1_ANISO_GRP,
    SUBMAT_MAT1_TRNS_GRP,
    SUBMAT_MAT1_BUMP_GRP,
    SUBMAT_MAT1_NORMAL_GRP,
    SUBMAT_MAT1_INDEX_GRP,
    SUBMAT_MAT1_IORMODE_GRP,
    SUBMAT_MAT1_INDEX2_GROUP,
    SUBMAT_MAT_FILM_GRP,
    SUBMAT_MAT1_FILM_GRP,
    SUBMAT_MAT1_COMMON_GRP,
    SUBMAT_MAT1_TOON_GROUP,
    SUBMAT_MAT1_ROT_GRP,
    SUBMAT_MAT1_DISPLACEMENT_GRP,
    SUBMAT_ROUNDEDGES_GROUP,
    SUBMAT_MAT_BRDF_GRP,
    SUBMAT_LAYER_GROUP,


    SUBMAT_ADD_DISP_BTN,
    SUBMAT_NODE_EDITOR,


    SUBMAT_MAT_NUM1 = 1,
    SUBMAT_MAT_NUM2 = 2,
    SUBMAT_MAT_NUM3 = 3,

//    SUBMAT_MAT_LAYER_MODE_NONE=0,
//    SUBMAT_MAT_LAYER_MODE_DIFFUSE=1,
//    SUBMAT_MAT_LAYER_MODE_GROUP=2,
//    SUBMAT_MAT_LAYER_MODE_METALLIC=3,
//    SUBMAT_MAT_LAYER_MODE_SHEEN=4,
//    SUBMAT_MAT_LAYER_MODE_SPECULAR=5,

    SUBMAT_TYPE_DIFFUSE = 1,
    SUBMAT_TYPE_GLOSSY = 2,
    SUBMAT_TYPE_SPECULAR = 4,
    SUBMAT_TYPE_METAL = 8,
    SUBMAT_TYPE_TOON = 16,
    SUBMAT_TYPE_UNIVERSAL = 32,

    SUBMAT_BRDF_OCTANE = 0,
    SUBMAT_BRDF_BECKMANN = 1,
    SUBMAT_BRDF_GGX = 2,
    SUBMAT_BRDF_WARD = 3,

    SUBMAT_INDEX_NONE=0,
    SUBMAT_INDEX_ALUMINIUM=1,
    SUBMAT_INDEX_BRASS=2,

    SUBMAT_ANIMATEPREVIEW = 501,
    SUBMAT_SHADER2TEXTURE	= 502,

    SUBMAT_DISABLE_OPENGL=2700,

};

#endif
