#ifndef _TextureProjection_H_
#define _TextureProjection_H_

enum
{
    TEX_PROJ_NGVISIBLE=990,
    TEX_PROJ_INTERNAL=999,
    TEX_PROJECTION_TYPE=1360,
    PROJ_POS_TYPE,
    PROJECTION_POSITION,

    TEXPROJ_ROT_ORDER,
    UVW_ROT_ORDER2,

    PROJ_TRANS1_LINK,
    PROJ_TRANS2_LINK,

    PROJ_TRANS1_TYPE,
    PROJ_TRANS2_TYPE,

    TEX_PROJ_TRANS_RX1,
    TEX_PROJ_TRANS_RY1,
    TEX_PROJ_TRANS_RZ1,
    TEX_PROJ_TRANS_SX1,
    TEX_PROJ_TRANS_SY1,
    TEX_PROJ_TRANS_SZ1,
    TEX_PROJ_TRANS_TX1,
    TEX_PROJ_TRANS_TY1,
    TEX_PROJ_TRANS_TZ1,

    TEX_PROJ_TRANS_RX2,
    TEX_PROJ_TRANS_RY2,
    TEX_PROJ_TRANS_RZ2,
    TEX_PROJ_TRANS_SX2,
    TEX_PROJ_TRANS_SY2,
    TEX_PROJ_TRANS_SZ2,
    TEX_PROJ_TRANS_TX2,
    TEX_PROJ_TRANS_TY2,
    TEX_PROJ_TRANS_TZ2,
    TEX_PROJ_OBJECT_LINK,

    UVW_SET,
    TEX_PROJ_SCL_LOCK,

    TEXPROJ_SCRIPT_FILENAME_OLD = 1898,
    TEXPROJ_EXTERNAL_SCRIPT = 1899,

    TEXPROJ_OSL_NEED_COMPILE = 1900,
    TEXPROJ_OSL_CODE_EDITOR = 1901,
    TEXPROJ_OSL_PARAM_LIST = 1902,
    TEXPROJ_OSL_LOG_OUTPUT = 1903,
    TEXPROJ_OSL_RESULT_STR = 1904,
    TEXPROJ_OSL_AUTO_COMPILE = 1905,
    TEXPROJ_RESET_PARAMS = 1906,
    TEXPROJ_SCRIPT_FILENAME = 1907,
    TEXPROJ_OSL_COMP_RESULT,

    TEXPROJ_OSL_SCRIPTS_GRP,
    TEXPROJ_OSL_MAIN_GRP,
    TEXPROJ_OSL_EDITOR_GRP,
    TEXPROJ_OSL_BUTTON_GRP,

    TEX_PROJ_POS_GROUP,
    TRANSFORM1_GROUP,
    TRANSFORM2_GROUP,
    INTERNAL_TRANSFORM1_GRP,
    INTERNAL_TRANSFORM2_GRP,
    TEX_PROJ_ROT_GRP,
    TEX_PROJ_SCL_GRP,
    TEX_PROJ_POS_GRP,
    TEX_PROJ_SHADER_GRP,
    TEXPROJ_OSL_PARAMS_GRP,
    TEX_PROJ_TYPE_GROUP,
    TEXPROJ_OSL_SCRIPTS_DIR,
    TEXPROJ_OSL_SCRIPTS_LIST,

    TEXPROJ_OSL_OPEN_CODE_DLG,
    TEXPROJ_OSL_COMPILE_BTN,
    TEXPROJ_RESET_BTN,
    TEXPROJ_HELP_BTN,
    TEX_PROJ_RESET_BTN,

    TEX_PROJ_BOX=0,
    TEX_PROJ_CYLINDRICAL=1,
    TEX_PROJ_MESHUV=2,
    TEX_PROJ_PERSPECTIVE=3,
    TEX_PROJ_SPHERICAL=4,
    TEX_PROJ_XYZ_TO_UVW=5,
    TEX_PROJ_TRIPLANAR=6,
    TEX_PROJ_OSL_PROJECTION=7,
    TEX_PROJ_OSL_UV=8,

    TEX_PROJ_POS_WORLD=0,
    TEX_PROJ_POS_OBJECT=1,
    TEX_PROJ_POS_NORMAL=2,

    TRNS_2D_TRANSFORMATION=0,
    TRNS_3D_ROTATION=1,
    TRNS_3D_SCALE=2,
    TRNS_3D_TRANSFORMATION=3,
    TRNS_TRANSFORM_VALUE=4,

    TEXPROJ_ROT_ORDER_XYZ=0,
    TEXPROJ_ROT_ORDER_XZY=1,
    TEXPROJ_ROT_ORDER_YXZ=2,
    TEXPROJ_ROT_ORDER_YZX=3,
    TEXPROJ_ROT_ORDER_ZXY=4,
    TEXPROJ_ROT_ORDER_ZYX=5,
};

#endif
